<template>
	<view>
		<view v-for="(proportionCheck, index) in proportionCheckList" :key="index">
			<uni-list-item :title="name+proportionCheck.userName"  @click="retail(proportionCheck)"  />
		</view>
	</view>
</template>

<script>
	export default {
		data() {
			return {
				name:'账号：',
				proportionCheckList:[],
				weixinDown: true
			};
		},
		onShow() {
			this.init();
		},
		methods: {
			init(){
				var token = uni.getStorageSync("token");
				uni.request({
					url: this.serverurl + '/TProportionCheck/getList',
					header: {
						'token': token
					},
					method: "GET",
					success: (res) => {
						if(res.data.code){
							this.proportionCheckList = res.data.data;
						}
					},
				});
			},
			retail(proportionCheck) {
				uni.navigateTo({
					url: 'proportionCheck?proportionCheck='+encodeURIComponent(JSON.stringify(proportionCheck)),
				});
			}
		}
		
	}
	
</script>

<style>
</style>
